
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@1,200&display=swap');
body {
   
    min-height: 500vh;
    font-family: 'Poppins';
  }


  #photo{
 
width: 150px;
height: 150px;
background-image: url("Image/photo.JPG");
background-size: cover;
background-position-x: center;
border-radius: 100px;
margin-top: 10px;

  }

  #Titre{
    margin-top: 2%;
    color: antiquewhite;

  }
/*ajout d'un fleche en bas*/
.arrow{
  position: fixed;
  align-self: center;
bottom: 10px;

  transform: translate(-50%,-50%);
}
.arrow span{
  display: block;
  width: 30px;
  height: 30px;
  border-bottom: 5px solid #06A8FF;
  border-right: 5px solid #06A8FF;
  transform: rotate(45deg);
  margin: -10px;
  animation: animate2 2s infinite;
}
.arrow span:nth-child(2){
  animation-delay: -0.2s;
}
.arrow span:nth-child(3){
  animation-delay: -0.4s;
}
@keyframes animate2 {
  0%{
      opacity: 0;
      transform: rotate(45deg) translate(-20px,-20px);
  }
  50%{
      opacity: 1;
  }
  100%{
      opacity: 0;
      transform: rotate(45deg) translate(20px,20px);
  }
}

  #Navigation{
    position:fixed;
  }
 


.infoSuplement{
position: fixed;
display: none;
height: 96%;
width: 70%;
background-color: rgba(0, 0, 0, 0.3 );
padding: 16%;
padding-top: 2%;
padding-bottom: 2%;

}


#velo{
  background-color: #1e847f;
  max-width: 30%;
  height: auto;

}



#MonText{
color: white;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-left: 2%;
  padding-right: 2%;
  border-radius: 15px;
}


#MonText{
  animation-play-state: running;

}

#Para1{
  display: flex;
  flex-direction: row;
  align-items:center;
  padding: 20px;
  margin-bottom: 10px;


}

#Para1 p{

  border: 3px solid #FFFFFF;
    font-size: 2.5rem;
    border-radius: 2% 6% 5% 4% / 1% 1% 2% 4%;
    margin-left: 10px;
}

#jeux_video{

  max-width: 30%;
  height: auto;
}

#Para1 p {
 padding: 2%;
 font-size: 20px;
}


#linkedin{
  display: flex;
    align-items: center;
    transform: rotateZ(180deg);
}

#mail{
  display: flex;
  align-items: center;
  transform: rotateZ(180deg);
}

#phone{
  display: flex;
  align-items: center;
  transform: rotateZ(180deg);
  
 
}


#titreContact{

  color: white;
  transform: rotateZ(180deg);
}

.retour{
    background: white;
    border: 0.2em solid black;
    cursor: pointer;
    letter-spacing: 0.125em;
    margin: 0.5rem;
    padding: 0.5em 0.75em;
    position: relative;
    text-transform: uppercase;
 
  
  
}


  .cube-wrap {
    --size: 50vmin;
    position: fixed;
    top: 50%;
    left: 50%;
    width: 0;
    height: 0;
    perspective: 200vmin;
  }
  .cube {
    transform-style: preserve-3d;
    transform: rotateX(0deg) rotateZ(0deg) rotateY(0deg);
    animation: cube 1s linear;
  }
  @keyframes cube {
    25% {
      transform: rotateX(180deg) rotateZ(0deg) rotateY(0deg);
    }
50%{
    transform: rotateX(0deg) rotateZ(0deg) rotateY(90deg);

}

100%{
    transform: rotateX(-180deg) rotateZ(0deg) rotateY(90deg);
}

  }
  
  .side {
    position: absolute;
    width: var(--size);
    height: var(--size);
    backface-visibility: visible;
    top: calc(var(--size) * -.5);
    left: calc(var(--size) * -.5);
    


  }

#front div{

  color: white;
  margin-top: 38%;
  background-color: rgba(0, 0, 0, 0.4);
  padding: 20px;
  border-radius: 15px;
  margin-left: 20%;
  
  
}

#etendre{
  height: 40px;
  text-align: center;
  width: 25%;
  border-radius: 40px;
  border: 2px solid rgb(78, 84, 200);
  color: white;
  letter-spacing: 1px;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer;
  background-color: rgba(0, 0, 0, 0.6);
  margin-bottom: 20%;

}

#etendre:hover{
  background-color: rgba(144,238,144, 0.6);
}


/*#top:hover{
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("Image/loisir.png");
}*/

  
  #top {
  
    transform: rotateX(270deg) rotateY(180deg)  rotateZ(270deg) translateZ(calc(var(--size) * .5));

    
    background-image: url("Image/font/loisir.png");
    background-size:200px;
    background-position: center;
    background-size: cover;
    background-color: #81b7d2;
    cursor: pointer;
   
  }
  #bottom {
    
    transform: rotateX(-90deg) translateZ(calc(var(--size) * .5));

    background-image: url("Image/font/metier.png");
    background-position: center;
    background-size: cover;
    background-color: #81b7d2;
   
  }
  #left {
    
    transform: rotateY(90deg) translateZ(calc(var(--size) * .5));
   background-color: #4d5198;
   display: flex;
flex-direction: column-reverse;
justify-content: center;
color: white;

  }
  #right {
  
    transform: rotateY(270deg) translateZ(calc(var(--size) * .5));
    background-image: url("Image/font/projet.png");
    background-position: center;
    background-size: cover;
   background-color: #4d5198;
  }


  #front {
  
   background-image: url("Image/font/A_Propos.png");
   background-position: center;
   /*background: linear-gradient( rgba(55, 47, 105, 0.4) 100%, rgba(42, 36, 84, 0.4)100%), url("Image/presentation.jpeg");*/
  background-color: #81b7d2;
   display: flex;
   flex-direction: column;
   align-items: flex-start;
   justify-content: space-between;
   background-size: cover;
    transform: translateZ(calc(var(--size) * .5));
  }
  #back {
  
    transform: rotateX(180deg) translateZ(calc(var(--size) * 0.5));
    background-image: url("Image/font/diplome.png");
    background-position: center;
    background-size: cover;
    background-color: #92c8e3;
  }

 

  
  :root * {
    /* Pause the animation */
    animation-play-state: paused;
    /* Bind the animation to scroll */
    animation-delay: calc(var(--scroll) * -1s);
    /* These last 2 properites clean up overshoot weirdness */
    animation-iteration-count: 1;
    animation-fill-mode: both;
  }



*{
    margin: 0px;
    padding: 0px;
}


/*Faire le background */

.area{
    background: #4e54c8;  
    background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8);  
    width: 100%;
    height:100vh;
    position: fixed;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    padding-right: 20px;
    
    
   
}

.circles{
 
    top: 0;
    left: 0;
    overflow: hidden;
}

.circles li{
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    background: rgba(255, 255, 255, 0.2);
    animation: animate 25s linear infinite;
    bottom: -150px;
    
}

.circles li:nth-child(1){
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}


.circles li:nth-child(2){
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
}

.circles li:nth-child(3){
    left: 70%;
    width: 20px;
    height: 20px;
    animation-delay: 4s;
}

.circles li:nth-child(4){
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.circles li:nth-child(5){
    left: 65%;
    width: 20px;
    height: 20px;
    animation-delay: 0s;
}

.circles li:nth-child(6){
    left: 75%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
}

.circles li:nth-child(7){
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}

.circles li:nth-child(8){
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.circles li:nth-child(9){
    left: 20%;
    width: 15px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.circles li:nth-child(10){
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
}



@keyframes animate {

    0%{
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100%{
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }

}


/*Nav bar */

.links {

  color: black;
  display: flex;
  width: 100%;
  min-height: 100vh;
  position: fixed;
 
 
}

.links__list {
  position: relative;
  list-style: none;
  margin-left: 5%;
  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  margin-bottom: auto;
  margin-top: auto;

}

.links__item {
  width: 12vmin;
  height: 12vmin;
  margin-bottom: 20px;
  
 

}

.links__link {
  opacity: 0;
  animation: on-load .3s ease-in-out forwards;
  animation-delay: calc(var(--item-count)*150ms);
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: inherit;
}



.links__text {

  width: 100%;
  left: 0;
  text-align: center;
  height: 16px;
  font-size: 16px;
  display: none;
  animation: text .3s ease-in-out forwards;
}

.links__link:after {
  content: "";
  background-color: transparent;
  width: 12vmin;
  height: 12vmin;
  border: 2px dashed white;
  display: block;
  border-radius: 50%;
  position: absolute;
  top: 0;
  left: 0;
  transition: all .3s cubic-bezier(.53,-.67,.73,.74);
  transform: none;
  opacity: 0;
}

.links__link:hover .links__icon {
  transition: all .3s ease-in-out;
  transform: translateY(-8);
}

.links__link:hover .links__text {
  display: block;
}

.links__link:hover .IconNav {
  display: none;
 
}


.links__link:hover:after {
  transition: all .3s cubic-bezier(.37,.74,.15,1.65);
  transform: scale(1.1);
  opacity: 1;
}





@keyframes on-load {
  0% {
    opacity: 0;
    transform: scale(.3);
  }
  70% {
    opacity: .7;
    transform: scale(1.1);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes text {
  0% {
    opacity: 0;
    transform: scale(0.3) translateY(0);
  }
  100% {
    opacity: 1;
    transform: scale(1) translateY(40);
  }
}

/*timeline--------------------------------------------------------------*/

.timeline {
  position: relative;
  margin: 0 auto;
    min-width: 50vmin;
  overflow-y: scroll;
  max-height:100%;
  box-sizing: border-box;
  overflow-wrap: break-word;
  margin-top: 5%;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: white;
  top: 5%;
  bottom: 0;
  left: 48%;
  margin-left: -3px;
  min-height: 1000px;
}

/* Container around content */
.container {
  box-sizing: border-box;
  padding: 10px 50px;
  position: relative;
  background-color: inherit;
  width: 48%;
 
}

/* The circles on the timeline */
.container::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  right: -17px;
  background-color: #7fe7dc;
  border: 4px solid #316879;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}



/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 48%;
}

/* Add arrows to the left container (pointing right) */
.left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent white;
}

/* Add arrows to the right container (pointing left) */
.right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
}

/* Fix the circle for containers on the right side */
.right::after {
  left: -16px;
}

/* The actual content */
.content {
  padding: 20px 30px;
  background-color: #316879;
  position: relative;
  border-radius: 6px;
}


/* affichage des compétence */
.liCompetence{
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  justify-content: space-around;
  margin-bottom: 10%;
}

#DivCompetence{
  display: flex;
  flex-direction: row;
  width: 25%;
}

#ImgLanguage{
margin-top: auto;
margin-bottom: auto;
margin-right: 20px;
 
}

.ImgCompetence{
  margin-right: 20px;
}

#competence h3{
  margin-bottom: 5%;
}


/* affichage des projet */

.DivProjet{
display: flex;
flex-direction: row;
justify-content: space-between;
  width: 100%;
}

.Projet{
  width:49%;

}

#ButtomProject{
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-around;
}


#ButtomProject button{
 width: 13%;
 height: 40px;
}

#TitreProject{
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: space-between;

}


#TitreProject div{
  align-self: center;
  width: 45%;

}

#TitreProject p{

  width: 50%;

}


#Projet1{
  width: 100%;
  padding: 10px;
}